## icukrell 2.0.0pre0.1-2

=== Makefile ===
#
# Makefile for IcuKrell 2.0.0-pre0.1
#

DESTDIR = /usr/local/share
INSTALL_PROGRAM = install -m 644 -D

GTK_INCLUDE = `pkg-config --cflags gtk+-2.0 gthread-2.0`
GTK_LIB = `pkg-config --cflags gtk+-2.0 gthread-2.0`

IMLIB_INCLUDE = 
IMLIB_LIBS = 

CFLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) $(GNOME_INCLUDE) $(IMLIB_INCLUDE)
LIBS = $(GTK_LIB) $(GNOME_LIBS) $(IMLIB_LIBS)
LFLAGS = -shared -lpthread

CC = gcc $(CFLAGS) $(FLAGS)

OBJS =  src/action.o src/options.o src/icukrell.o src/themes.o src/net.o

ICUKRELL_PROGS = icukrell.so

all: $(ICUKRELL_PROGS)

icukrell.so: $(OBJS)
	$(CC) $(OBJS) -o icukrell.so $(LFLAGS) $(LIBS)

clean:
	rm -f src/*.o src/core *.so* src/*.bak src/*~

install:
	echo ___ $(INSTALL_PROGRAM) ___
	$(INSTALL_PROGRAM) icukrell.so $(DESTDIR)/gkrellm2/plugins/icukrell.so

install-user:
	$(INSTALL_PROGRAM) icukrell.so $(HOME)/.gkrellm2/plugins/icukrell.so

icukrell.c.o: icukrell.c
options.c.o: options.c
action.c.o: action.c
theme.c.o: theme.c
net.c.o: net.c
