=== debian/changelog ===
icukrell (2.0.0pre0.1-2) unstable; urgency=low

  * Added builddep on gkrellm-common (Closes:#192478)
  
 -- Leo Costela <costela@debian.org>  Tue, 15 Apr 2003 10:33:21 -0300

icukrell (2.0.0pre0.1-1) unstable; urgency=low

  * First Debian package (Closes:#189358)
  
 -- Leo Costela <costela@debian.org>  Tue, 15 Apr 2003 10:33:21 -0300
