=== debian/control ===
Source: icukrell
Section: net
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends: debhelper (>> 4.0.0), libgtk2.0-dev (>= 2.2.0), libglib2.0-dev (>= 2.2.0), gkrellm-common (>= 2.1.0)
Standards-Version: 3.5.9

Package: icukrell
Architecture: any
Depends: gkrellm (>= 2.1.4), gnomeicu (>= 0.98.121), ${shlibs:Depends}
Description: GKrellm plugin which shows the status of GnomeICU
 This plugin gathers information from a running session of GnomeICU and
 shows it in a Krell.
